Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbCompositeElementElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbCompositeElementElement

    public class JaxbCompositeElementElement

extends Object

Java class for composite-element-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="composite-element-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <sequence>
               <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <element name="parent" type="{http://www.hibernate.org/xsd/hibernate-mapping}parent-element" minOccurs="0"/>
             <element name="tuplizer" type="{http://www.hibernate.org/xsd/hibernate-mapping}tuplizer-element" maxOccurs="unbounded" minOccurs="0"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="property" type="{http://www.hibernate.org/xsd/hibernate-mapping}property-element"/>
               <element name="many-to-one" type="{http://www.hibernate.org/xsd/hibernate-mapping}many-to-one-element"/>
               <element name="any" type="{http://www.hibernate.org/xsd/hibernate-mapping}any-element"/>
               <element name="nested-composite-element" type="{http://www.hibernate.org/xsd/hibernate-mapping}nested-composite-element-element"/>
             </choice>
           </sequence>
           <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `clazz`
`protected List<JaxbMetaElement>` | `meta`
`protected String` | `node`
`protected JaxbParentElement` | `parent`
`protected List<Object>` | `propertyOrManyToOneOrAny`
`protected List<JaxbTuplizerElement>` | `tuplizer`

Constructor Summary
`JaxbCompositeElementElement()`

Method Summary
`String` | `getClazz()` Gets the value of the clazz property.
`List<JaxbMetaElement>` | `getMeta()` Gets the value of the meta property.
`String` | `getNode()` Gets the value of the node property.
`JaxbParentElement` | `getParent()` Gets the value of the parent property.
`List<Object>` | `getPropertyOrManyToOneOrAny()` Gets the value of the propertyOrManyToOneOrAny property.
`List<JaxbTuplizerElement>` | `getTuplizer()` Gets the value of the tuplizer property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setNode(String value)` Sets the value of the node property.
`void` | `setParent(JaxbParentElement value)` Sets the value of the parent property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### meta

    protected List<JaxbMetaElement> meta

### parent

    protected JaxbParentElement parent

### tuplizer

    protected List<JaxbTuplizerElement> tuplizer

### propertyOrManyToOneOrAny

    protected List<Object> propertyOrManyToOneOrAny

### clazz

    protected String clazz

### node

    protected String node

Constructor Detail

### JaxbCompositeElementElement

    public JaxbCompositeElementElement()

Method Detail

### getMeta

    public List<JaxbMetaElement> getMeta()

  Gets the value of the meta property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meta property.

  For example, to add a new item, do as follows:

          getMeta().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaElement`

### getParent

    public JaxbParentElement getParent()

  Gets the value of the parent property.

  Returns:
    possible object is `JaxbParentElement`

### setParent

    public void setParent(JaxbParentElement value)

  Sets the value of the parent property.

  Parameters:
    `value` - allowed object is `JaxbParentElement`

### getTuplizer

    public List<JaxbTuplizerElement> getTuplizer()

  Gets the value of the tuplizer property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tuplizer property.

  For example, to add a new item, do as follows:

          getTuplizer().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbTuplizerElement`

### getPropertyOrManyToOneOrAny

    public List<Object> getPropertyOrManyToOneOrAny()

  Gets the value of the propertyOrManyToOneOrAny property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the propertyOrManyToOneOrAny property.

  For example, to add a new item, do as follows:

          getPropertyOrManyToOneOrAny().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbManyToOneElement` `JaxbAnyElement` `JaxbPropertyElement` `JaxbNestedCompositeElementElement`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.